%{?mingw_package_header}

%global _pkg_name libgsf

Summary:	MinGW build of structured file editing library
Name:		mingw-%{_pkg_name}
Version:	1.14.52
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
URL:		https://www.gnome.org/
Source:		https://download.gnome.org/sources/libgsf/1.14/libgsf-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	mingw32-zlib
BuildRequires:	mingw32-glib2
BuildRequires:	mingw32-libxml2
BuildRequires:	mingw32-gettext
BuildRequires:	mingw32-bzip2
BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-binutils

BuildRequires:	mingw64-zlib
BuildRequires:	mingw64-glib2
BuildRequires:	mingw64-libxml2
BuildRequires:	mingw64-gettext
BuildRequires:	mingw64-bzip2
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-gcc-c++
BuildRequires:	mingw64-binutils

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	gtk-doc


%description
MinGW Windows port of the library for reading and writing structured files.


# Win32
%package -n mingw32-%{_pkg_name}
Summary:	%{summary}

%description -n mingw32-%{_pkg_name}
MinGW Windows port of the library for reading and writing structured files.

%package -n mingw32-%{_pkg_name}-static
Summary:	%{summary}
Requires:	mingw32-%{_pkg_name} = %{version}-%{release}

%description -n mingw32-%{_pkg_name}-static
Static version of the MinGW Windows libgsf library.

# Win64
%package -n mingw64-%{_pkg_name}
Summary:	%{summary}

%description -n mingw64-%{_pkg_name}
MinGW Windows port of the library for reading and writing structured files.

%package -n mingw64-%{_pkg_name}-static
Summary:	%{summary}
Requires:	mingw64-%{_pkg_name} = %{version}-%{release}

%description -n mingw64-%{_pkg_name}-static
Static version of the MinGW Windows libgsf library.


%{?mingw_debug_package}


%prep
%setup -q -n %{_pkg_name}-%{version}
%autopatch -p1


%build
autoreconf -vfi
%mingw_configure --enable-static --enable-shared \
	--without-python --disable-gtk-doc
%mingw_make_build


%install
%mingw_make_install

rm -r ${RPM_BUILD_ROOT}%{mingw32_mandir}/man1/
rm -r ${RPM_BUILD_ROOT}%{mingw64_mandir}/man1/

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%mingw_find_lang %{_pkg_name}

# Win32
%files -n mingw32-%{_pkg_name} -f mingw32-%{_pkg_name}.lang
%doc COPYING README ChangeLog
%{mingw32_bindir}/libgsf-1-114.dll
%{mingw32_bindir}/libgsf-win32-1-114.dll
%{mingw32_bindir}/gsf.exe
%{mingw32_bindir}/gsf-office-thumbnailer.exe
%{mingw32_bindir}/gsf-vba-dump.exe
%{mingw32_libdir}/libgsf-1.dll.a
%{mingw32_libdir}/libgsf-win32-1.dll.a
%{mingw32_libdir}/pkgconfig/libgsf-1.pc
%{mingw32_libdir}/pkgconfig/libgsf-win32-1.pc
%{mingw32_includedir}/libgsf-1/gsf
%{mingw32_includedir}/libgsf-1/gsf-win32
%{mingw32_datadir}/thumbnailers/gsf-office.thumbnailer

%files -n mingw32-%{_pkg_name}-static
%{mingw32_libdir}/libgsf-win32-1.a
%{mingw32_libdir}/libgsf-1.a

# Win64
%files -n mingw64-%{_pkg_name} -f mingw64-%{_pkg_name}.lang
%doc COPYING README ChangeLog
%{mingw64_bindir}/libgsf-1-114.dll
%{mingw64_bindir}/libgsf-win32-1-114.dll
%{mingw64_bindir}/gsf.exe
%{mingw64_bindir}/gsf-office-thumbnailer.exe
%{mingw64_bindir}/gsf-vba-dump.exe
%{mingw64_libdir}/libgsf-1.dll.a
%{mingw64_libdir}/libgsf-win32-1.dll.a
%{mingw64_libdir}/pkgconfig/libgsf-1.pc
%{mingw64_libdir}/pkgconfig/libgsf-win32-1.pc
%{mingw64_includedir}/libgsf-1/gsf
%{mingw64_includedir}/libgsf-1/gsf-win32
%{mingw64_datadir}/thumbnailers/gsf-office.thumbnailer

%files -n mingw64-%{_pkg_name}-static
%{mingw64_libdir}/libgsf-win32-1.a
%{mingw64_libdir}/libgsf-1.a




%changelog
* Sun Feb 11 2024 daviddavid <daviddavid> 1.14.52-1.mga10
+ Revision: 2040200
- new version: 1.14.52

* Sat Nov 04 2023 daviddavid <daviddavid> 1.14.51-1.mga10
+ Revision: 2003968
- new version: 1.14.51

* Mon Jan 09 2023 daviddavid <daviddavid> 1.14.50-1.mga9
+ Revision: 1931960
- new version: 1.14.50

* Mon Nov 21 2022 daviddavid <daviddavid> 1.14.48-1.mga9
+ Revision: 1909717
- New upstream version 1.14.48
- Dropped export-symbols patch

* Tue Mar 29 2022 umeabot <umeabot> 1.14.47-4.mga9
+ Revision: 1831912
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 1.14.47-3.mga8
+ Revision: 1630406
- rebuild for new mingw stack

* Sat Apr 25 2020 daviddavid <daviddavid> 1.14.47-1.mga8
+ Revision: 1571873
- new version: 1.14.47
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.14.46-2.mga8
+ Revision: 1526268
- Mageia 8 Mass Rebuild

* Thu May 09 2019 daviddavid <daviddavid> 1.14.46-1.mga7
+ Revision: 1396920
- new version: 1.14.46

* Sat Jan 12 2019 daviddavid <daviddavid> 1.14.45-1.mga7
+ Revision: 1355576
- new version: 1.14.45

* Thu Sep 20 2018 umeabot <umeabot> 1.14.44-2.mga7
+ Revision: 1279837
- Mageia 7 Mass Rebuild

* Thu Aug 23 2018 ovitters <ovitters> 1.14.44-1.mga7
+ Revision: 1253603
- new version 1.14.44
- new version 1.14.43

* Sat Nov 11 2017 ovitters <ovitters> 1.14.42-1.mga7
+ Revision: 1176976
- new version 1.14.42

* Tue Jul 18 2017 ovitters <ovitters> 1.14.41-1.mga7
+ Revision: 1124711
- new version 1.14.41

* Wed Apr 06 2016 tv <tv> 1.14.36-2.mga6
+ Revision: 998865
- drop no more needed cache hack

* Sat Feb 13 2016 ovitters <ovitters> 1.14.36-1.mga6
+ Revision: 959443
- new version 1.14.36

* Mon Feb 08 2016 ovitters <ovitters> 1.14.35-1.mga6
+ Revision: 950149
- new version 1.14.35

* Wed Jul 29 2015 ovitters <ovitters> 1.14.34-1.mga6
+ Revision: 858792
- new version 1.14.34

* Sat Jun 20 2015 ovitters <ovitters> 1.14.33-1.mga6
+ Revision: 836359
- new version 1.14.33

* Thu Feb 05 2015 ovitters <ovitters> 1.14.31-1.mga5
+ Revision: 813522
- new version 1.14.31

* Wed Oct 15 2014 umeabot <umeabot> 1.14.30-3.mga5
+ Revision: 749674
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.14.30-2.mga5
+ Revision: 682475
- Mageia 5 Mass Rebuild

* Wed Mar 19 2014 ovitters <ovitters> 1.14.30-1.mga5
+ Revision: 605947
- new version 1.14.30

* Tue Feb 04 2014 ovitters <ovitters> 1.14.29-1.mga5
+ Revision: 582702
- new version 1.14.29

* Mon Sep 23 2013 neoclust <neoclust> 1.14.28-1.mga4
+ Revision: 484007
- imported package mingw-libgsf


* Tue Sep 03 2013 Greg Hellings <greg.hellings@gmail.com> - 1.14.28-1
* Updated to new upstream version

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Greg Hellings <greg.hellings@gmail.com> - 1.14.27-1
- Updated to new upstream version

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.14.26-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Mon May 6 2013 Greg Hellings <greg.hellings@gmail.com> - 1.14.26-1
- Updated to new upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 20 2012 Greg Hellings <greg.hellings@gmail.com> - 1.14.25-1
- Updated to reflect better Fedora/MinGW packaging adherence
- Updated to new upstream version
- Migrated to mingw_find_lang instead of explicit file inclusion

* Thu Aug 23 2012 Greg Hellings <greg.hellings@gmail.com> - 1.14.23-1
- Initial import
